class VgkCardImageWidgetModel {
  VgkCardImageWidgetModel({
    required this.key,
    required this.src,
    required this.bgmi,
    required this.global,
  });

  String key;
  String src;
  String bgmi;
  String global;

  VgkCardImageWidgetModel copyWith({
    required String key,
    required String src,
    required String bgmi,
    required String global,
  }) =>
      VgkCardImageWidgetModel(
        key: key,
        src: src,
        bgmi: bgmi,
        global: global,
      );

  factory VgkCardImageWidgetModel.fromMap(Map<String, dynamic> json) =>
      VgkCardImageWidgetModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        bgmi: json["bgmi"] ?? "",
        global: json["global"] ?? "",
      );
}
