class VgkCardVerticalTopBottomContentModel {
  VgkCardVerticalTopBottomContentModel({
   required  this.map,
   required  this.title,
   required  this.key,
   required  this.value,
   required  this.topContent,
   required  this.bottomContent,
  });

  String map;
  String title;
  String key;
  String value;
  List<VgkCardVerticalTopBottomSubContentModel> topContent;
  List<VgkCardVerticalTopBottomSubContentModel> bottomContent;

  VgkCardVerticalTopBottomContentModel copyWith({
    required String map,
    required String title,
    required String key,
    required String value,
    required List<VgkCardVerticalTopBottomSubContentModel> topContent,
    required List<VgkCardVerticalTopBottomSubContentModel> bottomContent,
  }) =>
      VgkCardVerticalTopBottomContentModel(
        map: map,
        title: title,
        key: key,
        value: value,
        topContent: topContent,
        bottomContent: bottomContent,
      );

  factory VgkCardVerticalTopBottomContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardVerticalTopBottomContentModel(
        map: json["map"] ?? "",
        title: json["title"] ?? "",
        key: json["key"] ?? "",
        value: json["value"] ?? "",
        topContent: json["topContent"] == null
            ? []
            : List<VgkCardVerticalTopBottomSubContentModel>.from(
                json["topContent"].map(
                    (x) => VgkCardVerticalTopBottomSubContentModel.fromMap(x))),
        bottomContent: json["bottomContent"] == null
            ? []
            : List<VgkCardVerticalTopBottomSubContentModel>.from(
                json["bottomContent"].map(
                    (x) => VgkCardVerticalTopBottomSubContentModel.fromMap(x))),
      );
}

class VgkCardVerticalTopBottomSubContentModel {
  VgkCardVerticalTopBottomSubContentModel({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  VgkCardVerticalTopBottomSubContentModel copyWith({
    required String key,
    required String value,
  }) =>
      VgkCardVerticalTopBottomSubContentModel(
        key: key,
        value: value,
      );

  factory VgkCardVerticalTopBottomSubContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardVerticalTopBottomSubContentModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
