class VgkMapElement {
  VgkMapElement({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  VgkMapElement copyWith({
    required String key,
    required String value,
  }) =>
      VgkMapElement(
        key: key,
        value: value,
      );

  factory VgkMapElement.fromMap(Map<String, dynamic> json) => VgkMapElement(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
