// ignore_for_file: file_names

class VgkAboutUsModel {
  VgkAboutUsModel({
    required this.title,
    required this.data,
  });

  String title;
  List<VgkAboutUsModelDetail> data;

  VgkAboutUsModel copyWith({
    required String title,
    required List<VgkAboutUsModelDetail> details,
  }) =>
      VgkAboutUsModel(
        title: title,
        data: details,
      );

  factory VgkAboutUsModel.fromMap(Map<String, dynamic> json) => VgkAboutUsModel(
        title: json["title"] ?? "",
        data: json["data"] == null
            ? []
            : List<VgkAboutUsModelDetail>.from(
                json["data"].map((x) => VgkAboutUsModelDetail.fromMap(x))),
      );
}

class VgkAboutUsModelDetail {
  VgkAboutUsModelDetail({
    required this.value,
  });

  String value;

  VgkAboutUsModelDetail copyWith({
    required String value,
  }) =>
      VgkAboutUsModelDetail(
        value: value,
      );

  factory VgkAboutUsModelDetail.fromMap(Map<String, dynamic> json) =>
      VgkAboutUsModelDetail(
        value: json["value"] ?? "",
      );
}
