class VgkCardHorizontalWithPopupModel {
  VgkCardHorizontalWithPopupModel({
    required this.key,
    required this.data,
  });

  String key;
  List<VgkCardHorizontalWithPopupDetailModel> data;

  VgkCardHorizontalWithPopupModel copyWith({
    required String key,
    required List<VgkCardHorizontalWithPopupDetailModel> data,
  }) =>
      VgkCardHorizontalWithPopupModel(
        key: key,
        data: data,
      );

  factory VgkCardHorizontalWithPopupModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupModel(
        key: json["key"] ?? "",
        data: json["data"] == null
            ? []
            : List<VgkCardHorizontalWithPopupDetailModel>.from(json["data"]
                .map((x) => VgkCardHorizontalWithPopupDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalWithPopupDetailModel {
  VgkCardHorizontalWithPopupDetailModel({
    required this.key,
    required this.value,
    required this.src,
    required this.data,
  });

  String key;
  String value;
  String src;
  List<VgkCardHorizontalWithPopupContentModel> data;

  VgkCardHorizontalWithPopupDetailModel copyWith({
    required String key,
    required String src,
    required String value,
    required List<VgkCardHorizontalWithPopupContentModel> data,
  }) =>
      VgkCardHorizontalWithPopupDetailModel(
        key: key,
        src: src,
        value: value,
        data: data,
      );

  factory VgkCardHorizontalWithPopupDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        data: List<VgkCardHorizontalWithPopupContentModel>.from(json["data"]
            .map((x) => VgkCardHorizontalWithPopupContentModel.fromMap(x))),
      );
}

class VgkCardHorizontalWithPopupContentModel {
  VgkCardHorizontalWithPopupContentModel({
    required this.key,
    required this.value,
    required this.src,
  });

  String key;
  int value;
  String src;

  VgkCardHorizontalWithPopupContentModel copyWith({
    required String key,
    required String src,
    required int value,
  }) =>
      VgkCardHorizontalWithPopupContentModel(
        key: key,
        src: src,
        value: value,
      );

  factory VgkCardHorizontalWithPopupContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupContentModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
      );
}
