import 'package:vgkprogaming/model/vgk_map_content.dart';

class VgkMapDetail {
  VgkMapDetail({
    required this.title,
    required this.contents,
  });

  String title;
  List<VgkMapContent> contents;

  VgkMapDetail copyWith({
    required String title,
    required List<VgkMapContent> contents,
  }) =>
      VgkMapDetail(
        title: title,
        contents: contents,
      );

  factory VgkMapDetail.fromMap(Map<String, dynamic> json) => VgkMapDetail(
        title: json["title"] ?? "",
        contents: json["contents"] == null
            ? []
            : List<VgkMapContent>.from(
                json["contents"].map((x) => VgkMapContent.fromMap(x))),
      );
}
