import 'dart:convert';
import 'package:vgkprogaming/model/vgk_about_us_model.dart';
import 'package:vgkprogaming/model/vgk_basic_setting.dart';
import 'package:vgkprogaming/model/vgk_card_horizontal_model.dart';
import 'package:vgkprogaming/model/vgk_card_horizontal_with_sub_model.dart';
import 'package:vgkprogaming/model/vgk_card_horizontal_with_popup_model.dart';
import 'package:vgkprogaming/model/vgk_card_image_widget_model.dart';
import 'package:vgkprogaming/model/vgk_card_image_with_copy_widget_model.dart';
import 'package:vgkprogaming/model/vgk_card_vertical_top_bottom_content_model.dart';
import 'package:vgkprogaming/model/vgk_drop_down_map_model.dart';
import 'package:vgkprogaming/model/vgk_map_details_model.dart';

class VgkConvertor {
  static List<VgkCardHorizontalModel> vgkCardHorizontalFromMap(String str) =>
      List<VgkCardHorizontalModel>.from(
        json.decode(str).map(
              (x) => VgkCardHorizontalModel.fromMap(x),
            ),
      );

  static List<VgkCardHorizontaWithSubModel> vgkCardHorizontalWithSubFromMap(
          String str) =>
      List<VgkCardHorizontaWithSubModel>.from(
        json.decode(str).map(
              (x) => VgkCardHorizontaWithSubModel.fromMap(x),
            ),
      );

  static List<VgkCardHorizontalWithPopupModel>
      vgkCardHorizontalWithPopupFromMap(String str) =>
          List<VgkCardHorizontalWithPopupModel>.from(
            json.decode(str).map(
                  (x) => VgkCardHorizontalWithPopupModel.fromMap(x),
                ),
          );

  static List<VgkCardVerticalTopBottomContentModel>
      vgkCardVerticalTopBottomContentFromMap(String str) =>
          List<VgkCardVerticalTopBottomContentModel>.from(
            json.decode(str).map(
                  (x) => VgkCardVerticalTopBottomContentModel.fromMap(x),
                ),
          );

  static List<VgkDropdownMapModel> vgkDropdownMapModelFromMap(String str) =>
      List<VgkDropdownMapModel>.from(
        json.decode(str).map(
              (x) => VgkDropdownMapModel.fromMap(x),
            ),
      );

  static List<VgkCardImageWidgetModel> vgkCardImageWidgetModelFromMap(
          String str) =>
      List<VgkCardImageWidgetModel>.from(
        json.decode(str).map(
              (x) => VgkCardImageWidgetModel.fromMap(x),
            ),
      );

  static List<VgkCardImageWithCopyWidgetModel>
      vgkCardImageWithCopyWidgetModelFromMap(String str) =>
          List<VgkCardImageWithCopyWidgetModel>.from(
            json.decode(str).map(
                  (x) => VgkCardImageWithCopyWidgetModel.fromMap(x),
                ),
          );
  static List<VgkMapDetailsModel> vgkMapDetailsModelFromMap(String str) =>
      List<VgkMapDetailsModel>.from(
        json.decode(str).map(
              (x) => VgkMapDetailsModel.fromMap(x),
            ),
      );

  static List<VgkAboutUsModel> vgkAboutUsModelFromMap(String str) =>
      List<VgkAboutUsModel>.from(
        json.decode(str).map(
              (x) => VgkAboutUsModel.fromMap(x),
            ),
      );

  static List<VgkSettingsModel> vgkSettingsModelFromMap(String str) =>
      List<VgkSettingsModel>.from(
          json.decode(str).map((x) => VgkSettingsModel.fromMap(x)));
}
